////////////////////////////////////////////////////////////
// Boots 1.4 Pack
// File:	Flag_Sounds.cs
// Version:	1.0
// Author:	Zlex(Boots) w/ credit to Runar
// Credits:	This is basically just Runars script
// Info:	Extra Sounds on flag events. 
//		Modified version of Runars script to work with 1.4
//
////////////////////////////////////////////////////////////


Event::Attach(eventFlagGrab, FlagSound::FlagTaken);
Event::Attach(eventFlagPickup, FlagSound::FlagTaken);
Event::Attach(eventFlagDrop, FlagSound::FlagDropped);
Event::Attach(eventFlagReturn, FlagSound::FlagReturned);
Event::Attach(eventFlagCap, FlagSound::FlagCaptured);


function FlagSound::FlagTaken(%team, %client)
{

	if(%team == Team::Enemy() && %client != getManagerId())
		localSound("nmy_grab.ogg");
	else if(%team == Team::Friendly())
		localSound("our_grab.ogg");
}

function FlagSound::FlagDropped(%team, %client)
{
	if(%team == Team::Enemy() && %client != getManagerId())
		localSound("nmy_drop.ogg");
	else if(%team == Team::Friendly())
		localSound("our_drop.ogg");
}

function FlagSound::FlagReturned(%team, %client)
{
	if(%team == Team::Friendly() && %client != getManagerId())
		localSound("our_sec.ogg");
	else if(%team == Team::Enemy())
		localSound("nmy_sec.ogg");
}

function FlagSound::FlagCaptured(%team, %client)
{
	if(%team == Team::Enemy()  && %client != getManagerId())
		localSound("nmy_cap.ogg");
	else if(%team == Team::Friendly())
		localSound("our_cap.ogg");
}
